OGRE: Ogre::Radian Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::Radian Class Reference

Wrapper class which indicates a given angle value is in Radians. More...

`#include <OgreMath.h>`

List of all members.

## Public Member Functions

| Radian (Real r=0)
| Radian (const Degree &d)
Radian & | operator= (const Real &f)
Radian & | operator= (const Radian &r)
Radian & | operator= (const Degree &d)
Real | valueDegrees () const
Real | valueRadians () const
Real | valueAngleUnits () const
const Radian & | operator+ () const
Radian | operator+ (const Radian &r) const
Radian | operator+ (const Degree &d) const
Radian & | operator+= (const Radian &r)
Radian & | operator+= (const Degree &d)
Radian | operator- () const
Radian | operator- (const Radian &r) const
Radian | operator- (const Degree &d) const
Radian & | operator-= (const Radian &r)
Radian & | operator-= (const Degree &d)
Radian | operator * (Real f) const
Radian | operator * (const Radian &f) const
Radian & | operator *= (Real f)
Radian | operator/ (Real f) const
Radian & | operator/= (Real f)
bool | operator< (const Radian &r) const
bool | operator<= (const Radian &r) const
bool | operator== (const Radian &r) const
bool | operator!= (const Radian &r) const
bool | operator>= (const Radian &r) const
bool | operator> (const Radian &r) const

## Private Attributes

Real | mRad

## Detailed Description

Wrapper class which indicates a given angle value is in Radians.

Remarks:
  Radian values are interchangeable with Degree values, and conversions will be done automatically between them.

Definition at line 41 of file OgreMath.h.

## Constructor & Destructor Documentation

Ogre::Radian::Radian | ( | Real | r = `0` | ) | `[explicit]`

| Definition at line 46 of file OgreMath.h. References mRad. Referenced by operator *(), operator+(), operator-(), and operator/().

Ogre::Radian::Radian | ( | const Degree & | d | ) |

| Definition at line 141 of file OgreMath.h.

## Member Function Documentation

Radian Ogre::Radian::operator * | ( | const Radian & | f | ) | const

| Definition at line 67 of file OgreMath.h. References mRad, and Radian().

Radian Ogre::Radian::operator * | ( | Real | f | ) | const

| Definition at line 66 of file OgreMath.h. References mRad, and Radian().

Radian& Ogre::Radian::operator *= | ( | Real | f | ) |

| Definition at line 68 of file OgreMath.h. References mRad.

bool Ogre::Radian::operator!= | ( | const Radian & | r | ) | const

| Definition at line 75 of file OgreMath.h. References mRad.

Radian Ogre::Radian::operator+ | ( | const Degree & | d | ) | const

| Definition at line 146 of file OgreMath.h. References mRad, and Radian().

Radian Ogre::Radian::operator+ | ( | const Radian & | r | ) | const

| Definition at line 57 of file OgreMath.h. References mRad, and Radian().

const Radian& Ogre::Radian::operator+ | ( |  | ) | const

| Definition at line 56 of file OgreMath.h.

Radian & Ogre::Radian::operator+= | ( | const Degree & | d | ) |

| Definition at line 149 of file OgreMath.h. References mRad, and Ogre::Degree::valueRadians().

Radian& Ogre::Radian::operator+= | ( | const Radian & | r | ) |

| Definition at line 59 of file OgreMath.h. References mRad.

Radian Ogre::Radian::operator- | ( | const Degree & | d | ) | const

| Definition at line 153 of file OgreMath.h. References mRad, and Radian().

Radian Ogre::Radian::operator- | ( | const Radian & | r | ) | const

| Definition at line 62 of file OgreMath.h. References mRad, and Radian().

Radian Ogre::Radian::operator- | ( |  | ) | const

| Definition at line 61 of file OgreMath.h. References mRad, and Radian().

Radian & Ogre::Radian::operator-= | ( | const Degree & | d | ) |

| Definition at line 156 of file OgreMath.h. References mRad, and Ogre::Degree::valueRadians().

Radian& Ogre::Radian::operator-= | ( | const Radian & | r | ) |

| Definition at line 64 of file OgreMath.h. References mRad.

Radian Ogre::Radian::operator/ | ( | Real | f | ) | const

| Definition at line 69 of file OgreMath.h. References mRad, and Radian().

Radian& Ogre::Radian::operator/= | ( | Real | f | ) |

| Definition at line 70 of file OgreMath.h. References mRad.

bool Ogre::Radian::operator< | ( | const Radian & | r | ) | const

| Definition at line 72 of file OgreMath.h. References mRad.

bool Ogre::Radian::operator<= | ( | const Radian & | r | ) | const

| Definition at line 73 of file OgreMath.h. References mRad.

Radian & Ogre::Radian::operator= | ( | const Degree & | d | ) |

| Definition at line 143 of file OgreMath.h. References mRad, and Ogre::Degree::valueRadians().

Radian& Ogre::Radian::operator= | ( | const Radian & | r | ) |

| Definition at line 49 of file OgreMath.h. References mRad.

Radian& Ogre::Radian::operator= | ( | const Real & | f | ) |

| Definition at line 48 of file OgreMath.h. References mRad.

bool Ogre::Radian::operator== | ( | const Radian & | r | ) | const

| Definition at line 74 of file OgreMath.h. References mRad.

bool Ogre::Radian::operator> | ( | const Radian & | r | ) | const

| Definition at line 77 of file OgreMath.h. References mRad.

bool Ogre::Radian::operator>= | ( | const Radian & | r | ) | const

| Definition at line 76 of file OgreMath.h. References mRad.

Real Ogre::Radian::valueAngleUnits | ( |  | ) | const

| Definition at line 560 of file OgreMath.h. References mRad. Referenced by Ogre::StringConverter::toString().

Real Ogre::Radian::valueDegrees | ( |  | ) | const

| Definition at line 555 of file OgreMath.h. References mRad.

Real Ogre::Radian::valueRadians | ( |  | ) | const

| Definition at line 53 of file OgreMath.h. References mRad. Referenced by Ogre::Vector3::directionEquals().

## Member Data Documentation

Real Ogre::Radian::mRad`[private]`

| Definition at line 43 of file OgreMath.h. Referenced by operator *(), operator *=(), operator!=(), operator+(), operator+=(), operator-(), operator-=(), operator/(), operator/=(), operator<(), operator<=(), operator=(), operator==(), operator>(), operator>=(), Radian(), valueAngleUnits(), valueDegrees(), and valueRadians().

The documentation for this class was generated from the following file:

- OgreMath.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:10 2008